> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Media Completion

> Generates a response based on provided images and text using a vision-language model.



## OpenAPI

````yaml api-reference/openapi.json post /media/completions
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /media/completions:
    post:
      tags:
        - Vision
      summary: Media Completion
      description: >-
        Generates a response based on provided images and text using a
        vision-language model.
      operationId: mediaCompletions
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                messages:
                  type: array
                  items:
                    type: object
                    properties:
                      role:
                        type: string
                        enum:
                          - user
                          - system
                          - assistant
                      content:
                        type: array
                        items:
                          oneOf:
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - image_url
                                image_url:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - text
                                text:
                                  type: string
                model:
                  type: string
                  description: The vision-language model to use
                  example: animuslabs/Qwen2-VL-NSFW-Vision-1.1
                temperature:
                  type: number
                  format: float
                  default: 0.1
                  description: Controls randomness in the response
              required:
                - messages
                - model
      responses:
        '200':
          description: The generated response for the image and text input
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                  created:
                    type: integer
                  model:
                    type: string
                  choices:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                        message:
                          type: object
                          properties:
                            role:
                              type: string
                            content:
                              type: string
                            tool_calls:
                              type: array
                        logprobs:
                          type: object
                          nullable: true
                        finish_reason:
                          type: string
                        stop_reason:
                          type: string
                          nullable: true
                  usage:
                    type: object
                    properties:
                      prompt_tokens:
                        type: integer
                      total_tokens:
                        type: integer
                      completion_tokens:
                        type: integer
                  prompt_logprobs:
                    type: object
                    nullable: true
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````